Bug 441679 - Choosing not to install NetworkManager leaves system without networking on bootup
Choosing not to install NetworkManager leaves system without networking on bo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-09 09:53 EDT by Charles R. Anderson
Modified: 2014-03-16 23:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 15:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-04-09 09:53:28 EDT
Description of problem:

Deselecting NetworkManager in anaconda leaves the installed system without any
way to start the network automatically on first bootup.  Can we please enable
the "network" service in this case?
Comment 1 Jesse Keating 2008-04-09 10:05:05 EDT
Hrm, I don't know if we want to handle that.  Perhaps we should just make
NetworkManager a required rather than a default or optional.
Comment 2 Jeremy Katz 2008-04-09 10:06:27 EDT
Doing things like this doesn't scale.  Fix the packages, either by having
initscripts require NetworkManager or marking the package required rather than
default in comps.

Reassigning to distribution to duke that out there :)
Comment 3 Bill Nottingham 2008-04-17 15:37:18 EDT
Fixed in comps to be mandatory for the 'Base' group.

Note You need to log in before you can comment on or make changes to this bug.